Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

#117 Cannot start: global name 'sys' is not defined

v1.5
closed-fixed
nabber00
5
2011-10-23
2011-10-22
drew
No

After installing and trying to run the application, I get a message that says to check the log file. It looks to me like nothing is able to run due to a missing import or such or the program can't find its own python dll. I used all of the default installation options for the "Typical" installation.

The first attempt to run was simply by checking the "Run Appupdater" option at the end of the installation process. After that failed, I made a couple of attempts to run the tray app and various other exe's (as Administrator). Rebooted and tried again. All attempts result in the same message and same error in the log.

After I rebooted, I checked that Appupdater service was running and there was also an entry in the path to the install folder.

Traceback (most recent call last):
File "appupdaterw.py", line 40, in <module>
File "libappupdater\guiqt.pyo", line 56, in <module>
File "libappupdater\core.pyo", line 56, in <module>
File "libappupdater\utils.pyo", line 46, in <module>
File "libappupdater\download.pyo", line 82, in <module>
File "libappupdater\proxy.pyo", line 217, in <module>
File "libappupdater\proxy.pyo", line 208, in get_proxy_info
NameError: global name 'sys' is not defined

Discussion

  • drew
    drew
    2011-10-23

    I installed 1.4.2 and it ran ok. Looks pretty cool. Gave an error about gpg, which took some time to figure out and fix. Seems like not having gnupg installed would be a common problem on Windows, so the usability would be increased by handling the exception with an error message describing the solution. GnuPG Shell uses an NSIS installer, so perhaps however theirs is able to detect gnupg could be used in the Appuploader installer (or maybe they include it in their exe?).Thanks

     
  • nabber00
    nabber00
    2011-10-23

    Thank you I have fixed this in subversion and it will be included in the next release, likely v1.5.1.

    As for your second comment, GPG is already automatically installed with Appupdater unless you select the portable install option or disable the PATH setting, you might get that error.

     
  • nabber00
    nabber00
    2011-10-23

    • labels: --> Metalink Checker Download Core
    • milestone: --> v1.5
    • assigned_to: nobody --> nabber00
    • status: open --> closed-fixed